> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the public key of an asset

> Gets the public key of an asset associated with a specific account within a Non-Custodial Wallet



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /ncw/wallets/{walletId}/accounts/{accountId}/assets/{assetId}/{change}/{addressIndex}/public_key_info
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /ncw/wallets/{walletId}/accounts/{accountId}/assets/{assetId}/{change}/{addressIndex}/public_key_info:
    get:
      tags:
        - Embedded Wallets
      summary: Get the public key of an asset
      description: >-
        Gets the public key of an asset associated with a specific account
        within a Non-Custodial Wallet
      operationId: GetEmbeddedWalletPublicKeyInfoForAddress
      parameters:
        - $ref: '#/components/parameters/X-End-User-Wallet-Id_required'
        - in: path
          name: walletId
          description: The ID of the Non-Custodial wallet
          required: true
          schema:
            type: string
            example: 550e8400-e29b-41d4-a716-446655440000
        - in: path
          name: accountId
          description: The ID of the account
          required: true
          schema:
            type: string
            format: numeric
            example: '0'
        - in: path
          name: assetId
          description: The ID of the asset
          required: true
          schema:
            type: string
            x-fb-entity: asset
            example: BTC
        - in: path
          name: change
          description: BIP44 derivation path - change value
          required: true
          schema:
            type: number
            example: 0
        - in: path
          name: addressIndex
          description: BIP44 derivation path - index value
          required: true
          schema:
            type: number
            example: 0
        - in: query
          name: compressed
          description: Compressed/Uncompressed public key format
          required: false
          schema:
            type: boolean
            example: true
      responses:
        '200':
          description: Public Key Information
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicKeyInformation'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<PublicKeyInformation>> =
            fireblocks.embeddedWallets.getEmbeddedWalletPublicKeyInfoForAddress(embeddedWalletsApiGetEmbeddedWalletPublicKeyInfoForAddressRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<PublicKeyInformation>> response =
            fireblocks.embeddedWallets().getEmbeddedWalletPublicKeyInfoForAddress(walletId,
            accountId, assetId, change, addressIndex, xEndUserWalletId,
            compressed);
        - lang: Python
          source: >-
            response =
            fireblocks.embedded_wallets.get_embedded_wallet_public_key_info_for_address(wallet_id,
            account_id, asset_id, change, address_index, x_end_user_wallet_id,
            compressed);
components:
  parameters:
    X-End-User-Wallet-Id_required:
      name: X-End-User-Wallet-Id
      in: header
      description: >-
        Unique ID of the End-User wallet to the API request. Required for
        end-user wallet operations.
      required: true
      schema:
        type: string
        format: uuid
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    PublicKeyInformation:
      type: object
      properties:
        algorithm:
          type: string
          description: Elliptic Curve
          enum:
            - MPC_ECDSA_SECP256K1
            - MPC_ECDSA_SECP256R1
            - MPC_EDDSA_ED25519
        derivationPath:
          example:
            - 44
            - 0
            - 0
            - 0
            - 0
          description: BIP44 derivation path
          type: array
          items:
            type: integer
        publicKey:
          description: Compressed/Uncompressed public key value in hex representation
          example: 1044c36403c1802818b472398f546a43a0d91569d5583a6e807c3825b155c7bd
          type: string
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````